From ef2178524a69303ea4a49d1087160b794fe04481 Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Wed, 14 Mar 2012 14:36:25 -0500
Subject: [PATCH] Removed unused variables (part 2).

This patch brings down the warnings from 2394 to 1638.

Ticket #103
---
 pki/base/ca/src/com/netscape/ca/CAService.java     |   14 ---
 .../ca/src/com/netscape/ca/CRLIssuingPoint.java    |    1 -
 .../src/com/netscape/ca/CertificateAuthority.java  |   10 +--
 .../src/com/netscape/certsrv/base/IPluginImpl.java |    4 +-
 .../netscape/certsrv/publish/ILdapCertMapper.java  |    4 +-
 .../netscape/certsrv/request/AgentApprovals.java   |    4 +-
 .../src/com/netscape/certsrv/template/ArgList.java |    2 +-
 .../src/com/netscape/certsrv/util/HttpInput.java   |    2 +-
 .../com/netscape/cms/authentication/CMCAuth.java   |    4 +-
 .../com/netscape/cms/authentication/DNPattern.java |    4 +-
 .../netscape/cms/authentication/PortalEnroll.java  |   15 ++--
 .../netscape/cms/authentication/RDNPattern.java    |    4 +-
 .../com/netscape/cms/authorization/AAclAuthz.java  |    1 -
 .../src/com/netscape/cms/jobs/PublishCertsJob.java |    8 --
 .../netscape/cms/jobs/RenewalNotificationJob.java  |    8 --
 .../com/netscape/cms/jobs/RequestInQueueJob.java   |    3 +-
 .../com/netscape/cms/jobs/UnpublishExpiredJob.java |    7 --
 .../src/com/netscape/cms/logging/LogEntry.java     |    8 +-
 .../common/src/com/netscape/cms/ocsp/DefStore.java |    4 -
 .../src/com/netscape/cms/ocsp/LDAPStore.java       |    4 -
 .../src/com/netscape/cms/policy/APolicyRule.java   |   12 +-
 .../cms/policy/constraints/DSAKeyConstraints.java  |   11 +--
 .../cms/policy/constraints/DefaultRevocation.java  |    4 +-
 .../cms/policy/constraints/IssuerConstraints.java  |    8 +-
 .../constraints/KeyAlgorithmConstraints.java       |    4 +-
 .../policy/constraints/ManualAuthentication.java   |    4 +-
 .../cms/policy/constraints/RenewalConstraints.java |    8 +-
 .../constraints/RenewalValidityConstraints.java    |    8 +-
 .../policy/constraints/RevocationConstraints.java  |    8 +-
 .../constraints/SigningAlgorithmConstraints.java   |   12 +-
 .../policy/constraints/SubCANameConstraints.java   |    8 +-
 .../policy/constraints/ValidityConstraints.java    |    8 +-
 .../cms/policy/extensions/BasicConstraintsExt.java |    1 -
 .../policy/extensions/CertificatePoliciesExt.java  |    4 +-
 .../cms/policy/extensions/KeyUsageExt.java         |    1 -
 .../cms/policy/extensions/NSCertTypeExt.java       |    1 -
 .../extensions/PrivateKeyUsagePeriodExt.java       |    1 -
 .../extensions/RemoveBasicConstraintsExt.java      |    1 -
 .../extensions/SubjectDirectoryAttributesExt.java  |    1 -
 .../netscape/cms/profile/common/BasicProfile.java  |   21 ----
 .../cms/profile/common/CACertCAEnrollProfile.java  |    3 +-
 .../netscape/cms/profile/common/EnrollProfile.java |   10 --
 .../cms/profile/constraint/KeyConstraint.java      |  111 ++++++++++----------
 .../profile/constraint/SigningAlgConstraint.java   |    2 +-
 .../cms/profile/def/AuthInfoAccessExtDefault.java  |    3 +-
 .../def/CRLDistributionPointsExtDefault.java       |    4 -
 .../netscape/cms/profile/def/EnrollDefault.java    |    3 +-
 .../cms/profile/def/FreshestCRLExtDefault.java     |    4 -
 .../cms/profile/def/PolicyMappingsExtDefault.java  |    4 -
 .../cms/profile/def/SubjectAltNameExtDefault.java  |    1 -
 .../profile/def/SubjectInfoAccessExtDefault.java   |    3 +-
 .../cms/publish/mappers/LdapCaSimpleMap.java       |    5 -
 .../cms/publish/mappers/LdapCrlIssuerCompsMap.java |    8 +-
 .../com/netscape/cms/publish/mappers/NoMap.java    |    8 +-
 .../cms/publish/publishers/FileBasedPublisher.java |    3 -
 .../publish/publishers/LdapCaCertPublisher.java    |    8 +-
 .../publish/publishers/LdapCertSubjPublisher.java  |    8 +-
 .../publishers/LdapCertificatePairPublisher.java   |   10 +-
 .../cms/publish/publishers/LdapCrlPublisher.java   |    8 +-
 .../publish/publishers/LdapUserCertPublisher.java  |    8 +-
 .../cms/publish/publishers/PublisherUtils.java     |    2 +-
 .../com/netscape/cms/request/RequestScheduler.java |    2 +-
 .../cms/servlet/admin/ACLAdminServlet.java         |   20 ----
 .../netscape/cms/servlet/admin/AdminServlet.java   |    4 -
 .../cms/servlet/admin/LogAdminServlet.java         |   15 +---
 .../cms/servlet/admin/OCSPAdminServlet.java        |    1 -
 .../cms/servlet/admin/PolicyAdminServlet.java      |    1 -
 .../cms/servlet/admin/PublisherAdminServlet.java   |   15 +--
 .../cms/servlet/admin/RegistryAdminServlet.java    |    1 -
 .../cms/servlet/base/DynamicVariablesServlet.java  |    3 +-
 .../cms/servlet/cert/CMCRevReqServlet.java         |    1 -
 .../netscape/cms/servlet/cert/DisplayBySerial.java |    4 +-
 .../com/netscape/cms/servlet/cert/DoRevoke.java    |    2 +-
 .../com/netscape/cms/servlet/cert/DoRevokeTPS.java |   16 ---
 .../com/netscape/cms/servlet/cert/DoUnrevoke.java  |    2 +-
 .../netscape/cms/servlet/cert/DoUnrevokeTPS.java   |    8 +--
 .../netscape/cms/servlet/cert/EnrollServlet.java   |    8 +--
 .../com/netscape/cms/servlet/cert/GetBySerial.java |    2 -
 .../com/netscape/cms/servlet/cert/GetCAChain.java  |    1 -
 .../src/com/netscape/cms/servlet/cert/GetInfo.java |    2 +-
 .../cms/servlet/cert/HashEnrollServlet.java        |   12 +--
 .../cms/servlet/cert/RevocationServlet.java        |    1 -
 .../com/netscape/cms/servlet/cert/UpdateCRL.java   |    1 -
 .../cms/servlet/cert/scep/CRSEnrollment.java       |    1 -
 .../cms/servlet/common/CMCOutputTemplate.java      |    1 -
 .../netscape/cms/servlet/common/CMSRequest.java    |    2 +-
 .../netscape/cms/servlet/common/CMSTemplate.java   |    4 -
 .../cms/servlet/connector/CloneServlet.java        |    6 -
 .../cms/servlet/connector/ConnectorServlet.java    |    6 -
 .../servlet/connector/GenerateKeyPairServlet.java  |    4 -
 .../servlet/connector/TokenKeyRecoveryServlet.java |   22 ----
 .../servlet/csadmin/AdminAuthenticatePanel.java    |    5 +-
 .../netscape/cms/servlet/csadmin/AdminPanel.java   |   13 ---
 .../netscape/cms/servlet/csadmin/BaseServlet.java  |    1 +
 .../netscape/cms/servlet/csadmin/CAInfoPanel.java  |    2 +-
 .../cms/servlet/csadmin/CertPrettyPrintPanel.java  |    4 +-
 .../cms/servlet/csadmin/CertRequestPanel.java      |    2 -
 .../cms/servlet/csadmin/ConfigHSMLoginPanel.java   |   11 --
 .../cms/servlet/csadmin/ConfigHSMServlet.java      |    6 +-
 .../cms/servlet/csadmin/ConfigRootCAServlet.java   |    8 +-
 .../cms/servlet/csadmin/CreateSubsystemPanel.java  |    3 +-
 .../cms/servlet/csadmin/DisplayCertChainPanel.java |    2 +-
 .../netscape/cms/servlet/csadmin/DonePanel.java    |    7 --
 .../netscape/cms/servlet/csadmin/GetCookie.java    |    5 -
 .../cms/servlet/csadmin/ImportAdminCertPanel.java  |    4 -
 .../cms/servlet/csadmin/ImportTransportCert.java   |    1 -
 .../netscape/cms/servlet/csadmin/NamePanel.java    |    6 +-
 .../cms/servlet/csadmin/RestoreKeyCertPanel.java   |   34 +++----
 .../cms/servlet/csadmin/WizardPanelBase.java       |   39 +++-----
 .../netscape/cms/servlet/key/DisplayTransport.java |    2 -
 .../netscape/cms/servlet/key/ExamineRecovery.java  |    1 -
 .../cms/servlet/key/GetApprovalStatus.java         |    1 -
 .../com/netscape/cms/servlet/key/GetAsyncPk12.java |    1 -
 .../cms/servlet/key/GrantAsyncRecovery.java        |    2 -
 .../netscape/cms/servlet/key/GrantRecovery.java    |    2 -
 .../cms/servlet/profile/ProfileSubmitServlet.java  |    3 +-
 .../netscape/cms/servlet/request/CheckRequest.java |    4 +-
 .../cms/servlet/request/ProcessCertReq.java        |    7 +-
 .../netscape/cms/servlet/request/ProcessReq.java   |    3 +-
 .../com/netscape/cms/servlet/request/QueryReq.java |    2 -
 .../netscape/cms/servlet/request/SearchReqs.java   |    1 -
 .../netscape/cms/servlet/wizard/WizardServlet.java |    1 +
 .../ChallengePhraseAuthentication.java             |    2 -
 .../cmscore/authorization/AuthzSubsystem.java      |    5 +-
 .../com/netscape/cmscore/base/SubsystemLoader.java |    4 +-
 .../netscape/cmscore/connector/HttpConnector.java  |    2 +-
 .../netscape/cmscore/connector/HttpPKIMessage.java |    1 -
 .../src/com/netscape/cmscore/crmf/CRMFParser.java  |    2 +-
 .../com/netscape/cmscore/dbs/CRLRepository.java    |    4 +-
 .../cmscore/dbs/CertificateRepository.java         |    2 -
 .../src/com/netscape/cmscore/dbs/DBSSession.java   |    7 +-
 .../src/com/netscape/cmscore/dbs/DBSubsystem.java  |    1 +
 .../src/com/netscape/cmscore/dbs/Repository.java   |    6 +-
 .../netscape/cmscore/ldap/LdapPredicateParser.java |    6 +-
 .../netscape/cmscore/ldap/PublisherProcessor.java  |    8 --
 .../src/com/netscape/cmscore/logging/LogQueue.java |    4 +-
 .../cmscore/notification/EmailFormProcessor.java   |    1 -
 .../cmscore/policy/PolicyPredicateParser.java      |    6 +-
 .../netscape/cmscore/profile/ProfileSubsystem.java |    2 +-
 .../netscape/cmscore/request/ARequestQueue.java    |    1 -
 .../com/netscape/cmscore/security/KeyCertUtil.java |    1 -
 .../src/com/netscape/cmscore/security/PWCBsdr.java |    4 +-
 .../com/netscape/cmscore/usrgrp/UGSubsystem.java   |    1 -
 .../src/com/netscape/cmscore/util/Debug.java       |    6 +-
 .../com/netscape/cmscore/util/FileAsString.java    |    3 +-
 .../netscape/cmscore/util/FileDialogFilter.java    |    1 -
 .../netscape/cmscore/util/ProfileSubsystem.java    |   20 ++--
 .../certsrv/request/AgentApprovalsTest.java        |    8 +-
 .../com/netscape/cmscore/request/RequestTest.java  |    1 -
 .../src/com/netscape/cmstools/CMCResponse.java     |    2 -
 .../src/com/netscape/cmstools/CRMFPopClient.java   |    7 +-
 .../src/com/netscape/cmstools/HttpClient.java      |    2 -
 .../src/com/netscape/cmstools/OCSPClient.java      |    2 -
 .../src/com/netscape/cmstools/PKCS12Export.java    |    3 +-
 .../kra/src/com/netscape/kra/EncryptionUnit.java   |    1 -
 .../src/com/netscape/kra/KeyRecoveryAuthority.java |   10 +-
 .../kra/src/com/netscape/kra/RecoveryService.java  |    4 +-
 pki/base/migrate/80/MigrateSecurityDomain.java     |    8 +-
 .../src/com/netscape/pkisilent/ConfigureSubCA.java |    8 --
 .../src/com/netscape/pkisilent/ConfigureTKS.java   |   10 +--
 .../src/com/netscape/pkisilent/ConfigureTPS.java   |    7 --
 .../src/com/netscape/pkisilent/CreateInstance.java |    6 +-
 .../pkisilent/argparser/StringScanner.java         |    5 +-
 .../com/netscape/pkisilent/common/CMSConfig.java   |    2 +-
 .../com/netscape/pkisilent/common/Con2Agent.java   |   16 +---
 .../com/netscape/pkisilent/common/ParseXML.java    |    1 -
 .../com/netscape/pkisilent/common/PostQuery.java   |    3 -
 .../com/netscape/pkisilent/common/ServerInfo.java  |   14 +---
 .../com/netscape/pkisilent/common/TestClient.java  |    5 +-
 .../com/netscape/pkisilent/common/UserEnroll.java  |    1 -
 .../com/netscape/pkisilent/http/HTTPClient.java    |    3 -
 .../com/netscape/cmsutil/crypto/CryptoUtil.java    |    1 -
 .../src/com/netscape/cmsutil/crypto/Module.java    |    8 +-
 .../src/com/netscape/cmsutil/xml/XMLObject.java    |    4 +-
 .../src/netscape/net/TransferProtocolClient.java   |    4 +-
 .../security/extensions/GenericASN1Extension.java  |    6 +-
 .../extensions/PresenceServerExtension.java        |    4 +
 .../util/src/netscape/security/pkcs/PKCS7.java     |    2 +-
 .../src/netscape/security/util/DerInputStream.java |    2 +-
 .../util/src/netscape/security/x509/Extension.java |    2 +-
 .../security/x509/NSCCommentExtension.java         |    2 +-
 .../util/src/netscape/security/x509/X500Name.java  |    2 -
 182 files changed, 312 insertions(+), 758 deletions(-)

diff --git a/pki/base/ca/src/com/netscape/ca/CAService.java b/pki/base/ca/src/com/netscape/ca/CAService.java
index 88c9dfb8d622453fb45c5f731148b45f2ab0db91..62bae3b5ffe544fcad5772367c33e675daa97cb1 100644
--- a/pki/base/ca/src/com/netscape/ca/CAService.java
+++ b/pki/base/ca/src/com/netscape/ca/CAService.java
@@ -837,7 +837,6 @@ public class CAService implements ICAService, IService {
             try {
 
                 CMS.debug("doUTF8 true, updating subject.");
-                CertificateSubjectName sName = (CertificateSubjectName) certi.get(X509CertInfo.SUBJECT);
 
                 String subject = certi.get(X509CertInfo.SUBJECT).toString();
 
@@ -987,20 +986,7 @@ public class CAService implements ICAService, IService {
                     CMS.getUserMessage("CMS_CA_CANT_FIND_CERT_SERIAL",
                             "0x" + serialno.toString(16)));
         }
-        RevocationInfo revInfo = (RevocationInfo) certRec.getRevocationInfo();
-        CRLExtensions exts = null;
-        CRLReasonExtension reasonext = null;
 
-        if (revInfo != null)
-            exts = revInfo.getCRLEntryExtensions();
-        if (exts != null) {
-            try {
-                reasonext = (CRLReasonExtension)
-                        exts.get(CRLReasonExtension.NAME);
-            } catch (X509ExtensionException e) {
-                // this means no crl reason extension set.
-            }
-        }
         // allow revoking certs that are on hold.
         String certStatus = certRec.getStatus();
 
diff --git a/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java b/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
index dd6194101a39c4e9cbe66da68a35ea4d5fad97d0..d4b747b32dd9244a5c281652b5682080094210e2 100644
--- a/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
+++ b/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
@@ -3029,7 +3029,6 @@ class CertRecProcessor implements IElementProcessor {
             onlySomeReasons = issuingDistributionPoint.getOnlySomeReasons();
 
         boolean applyReasonMatch = false;
-        boolean reasonMatch = true;
 
         if (onlySomeReasons != null) {
             applyReasonMatch = !onlySomeReasons.toString().equals("0000000");
diff --git a/pki/base/ca/src/com/netscape/ca/CertificateAuthority.java b/pki/base/ca/src/com/netscape/ca/CertificateAuthority.java
index 00fcbae0fd1181a94a6f0c75de2b60914267b613..007ebf207f75ac8c0e63e605e8fab3378382d509 100644
--- a/pki/base/ca/src/com/netscape/ca/CertificateAuthority.java
+++ b/pki/base/ca/src/com/netscape/ca/CertificateAuthority.java
@@ -931,7 +931,6 @@ public class CertificateAuthority implements ICertificateAuthority, ICertAuthori
             statsSub.startTiming("signing");
         }
 
-        long startTime = CMS.getCurrentDate().getTime();
         try {
             DerOutputStream out = new DerOutputStream();
             DerOutputStream tmp = new DerOutputStream();
@@ -1006,7 +1005,6 @@ public class CertificateAuthority implements ICertificateAuthority, ICertAuthori
             statsSub.startTiming("signing");
         }
 
-        long startTime = CMS.getCurrentDate().getTime();
         try {
             DerOutputStream out = new DerOutputStream();
             DerOutputStream tmp = new DerOutputStream();
@@ -1328,7 +1326,7 @@ public class CertificateAuthority implements ICertificateAuthority, ICertAuthori
         Long l = Long.valueOf(file.length());
         byte[] b = new byte[l.intValue()];
         FileInputStream in = new FileInputStream(path);
-        int num = in.read(b);
+        in.read(b);
         in.close();
 
         return b;
@@ -1589,8 +1587,6 @@ public class CertificateAuthority implements ICertificateAuthority, ICertAuthori
                 }
 
                 // Initialize Request In Queue notification listener
-                IConfigStore rq = nc.getSubStore(PROP_REQ_IN_Q_SUBSTORE);
-
                 String requestInQListenerClassName =
                         nc.getString("certificateIssuedListenerClassName",
                                 "com.netscape.cms.listeners.RequestInQListener");
@@ -1603,9 +1599,6 @@ public class CertificateAuthority implements ICertificateAuthority, ICertAuthori
                             CMS.getLogMessage("CMSCORE_CA_CA_REGISTER_REQ_LISTENER", requestInQListenerClassName));
                 }
 
-                // Initialize extra listeners
-                IConfigStore mListenerConfig = null;
-
             } else {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_CA_CA_NOTIFY_NONE"));
             }
@@ -1703,7 +1696,6 @@ public class CertificateAuthority implements ICertificateAuthority, ICertAuthori
                     "initializing crl issue point " + issuePointId);
             IConfigStore issuePointConfig = null;
             String issuePointClassName = null;
-            @SuppressWarnings("unchecked")
             Class<CRLIssuingPoint> issuePointClass = null;
             CRLIssuingPoint issuePoint = null;
 
diff --git a/pki/base/common/src/com/netscape/certsrv/base/IPluginImpl.java b/pki/base/common/src/com/netscape/certsrv/base/IPluginImpl.java
index 566fef38f83083f2233db292e680f122f71c1f7a..a7a0560b50eeaffa5d7c8000bbb1529ec7eea897 100644
--- a/pki/base/common/src/com/netscape/certsrv/base/IPluginImpl.java
+++ b/pki/base/common/src/com/netscape/certsrv/base/IPluginImpl.java
@@ -84,7 +84,7 @@ public interface IPluginImpl {
      * @return nvPairs A Vector of name/value pairs. Each name/value
      *         pair is constructed as a String in name=value format.
      */
-    public Vector getInstanceParams();
+    public Vector<String> getInstanceParams();
 
     /**
      * Retrieves a list of configuration parameter names.
@@ -99,6 +99,6 @@ public interface IPluginImpl {
      * @return nvPairs A Vector of name/value pairs. Each name/value
      *         pair is constructed as a String in name=value.
      */
-    public Vector getDefaultParams();
+    public Vector<String> getDefaultParams();
 
 }
diff --git a/pki/base/common/src/com/netscape/certsrv/publish/ILdapCertMapper.java b/pki/base/common/src/com/netscape/certsrv/publish/ILdapCertMapper.java
index 7e2e1116c88359d1c718252aef7cecd9f27f6cb0..3acaeb580468ef067139bf0125ebd72c32166c5b 100644
--- a/pki/base/common/src/com/netscape/certsrv/publish/ILdapCertMapper.java
+++ b/pki/base/common/src/com/netscape/certsrv/publish/ILdapCertMapper.java
@@ -44,12 +44,12 @@ public interface ILdapCertMapper extends ILdapPlugin {
     /**
      * Returns the default parameters.
      */
-    public Vector getDefaultParams();
+    public Vector<String> getDefaultParams();
 
     /**
      * Returns the instance parameters.
      */
-    public Vector getInstanceParams();
+    public Vector<String> getInstanceParams();
 
     /**
      * maps a certificate to a LDAP entry.
diff --git a/pki/base/common/src/com/netscape/certsrv/request/AgentApprovals.java b/pki/base/common/src/com/netscape/certsrv/request/AgentApprovals.java
index 54277b611d09a319801e7d6db5d3007e77a6578d..d6fa41b8f82638b248a86a7c1f8728e809c02798 100644
--- a/pki/base/common/src/com/netscape/certsrv/request/AgentApprovals.java
+++ b/pki/base/common/src/com/netscape/certsrv/request/AgentApprovals.java
@@ -127,14 +127,14 @@ public class AgentApprovals
      * @param stringVector The vector of strings to translate
      * @return the AgentApprovals instance or null if it can't be translated.
      */
-    public static AgentApprovals fromStringVector(Vector stringVector) {
+    public static AgentApprovals fromStringVector(Vector<String> stringVector) {
         if (stringVector == null) {
             return null;
         }
         AgentApprovals approvals = new AgentApprovals();
         for (int i = 0; i < stringVector.size(); i++) {
             try {
-                String approvalString = (String) stringVector.get(i);
+                String approvalString = stringVector.get(i);
                 String[] parts = approvalString.split(";", 2);
                 if (parts.length != 2) {
                     return null;
diff --git a/pki/base/common/src/com/netscape/certsrv/util/HttpInput.java b/pki/base/common/src/com/netscape/certsrv/util/HttpInput.java
index fba601b6c61c580c10556de345ce520d8b51f48a..b7dc1038755828518ba7c4291da4bc5619852628 100644
--- a/pki/base/common/src/com/netscape/certsrv/util/HttpInput.java
+++ b/pki/base/common/src/com/netscape/certsrv/util/HttpInput.java
@@ -111,7 +111,7 @@ public class HttpInput {
             throws IOException {
         String v = getString(request, name);
         try {
-            URL u = new URL(v);
+            new URL(v); // throw exception on error
         } catch (Exception e) {
             throw new IOException("Invalid URL " + v);
         }
diff --git a/pki/base/common/src/com/netscape/cms/authentication/CMCAuth.java b/pki/base/common/src/com/netscape/cms/authentication/CMCAuth.java
index 905efc42a2538738de40227d4c4398f5d3bc64ac..06d4eaa0fe7750e2d813c1cb081d0c46cb4588a2 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/CMCAuth.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/CMCAuth.java
@@ -150,13 +150,13 @@ public class CMCAuth implements IAuthManager, IExtendedPluginInfo,
     ////////////////////////////////////
 
     /* Vector of extendedPluginInfo strings */
-    protected static Vector mExtendedPluginInfo = null;
+    protected static Vector<String> mExtendedPluginInfo = null;
     //public static final String AGENT_AUTHMGR_ID = "agentAuthMgr";
     //public static final String AGENT_PLUGIN_ID = "agentAuthPlugin";
 
     /* actual help messages */
     static {
-        mExtendedPluginInfo = new Vector();
+        mExtendedPluginInfo = new Vector<String>();
 
         mExtendedPluginInfo
                 .add(IExtendedPluginInfo.HELP_TEXT +
diff --git a/pki/base/common/src/com/netscape/cms/authentication/DNPattern.java b/pki/base/common/src/com/netscape/cms/authentication/DNPattern.java
index 653a950aa8b5e7ebb4d920239ae8673c3213591b..480b5b9097e83848d0d8236dbb4fc3035537b7a7 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/DNPattern.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/DNPattern.java
@@ -153,7 +153,7 @@ public class DNPattern {
 
     private void parse(PushbackReader in)
             throws EAuthException {
-        Vector rdnPatterns = new Vector();
+        Vector<RDNPattern> rdnPatterns = new Vector<RDNPattern>();
         RDNPattern rdnPattern = null;
         int lastChar = -1;
 
@@ -170,7 +170,7 @@ public class DNPattern {
         mRDNPatterns = new RDNPattern[rdnPatterns.size()];
         rdnPatterns.copyInto(mRDNPatterns);
 
-        Vector ldapAttrs = new Vector();
+        Vector<String> ldapAttrs = new Vector<String>();
 
         for (int i = 0; i < mRDNPatterns.length; i++) {
             String[] rdnAttrs = mRDNPatterns[i].getLdapAttrs();
diff --git a/pki/base/common/src/com/netscape/cms/authentication/PortalEnroll.java b/pki/base/common/src/com/netscape/cms/authentication/PortalEnroll.java
index fe2c352ec26c077b45ba7dfbe4f9009e9179ffec..38a3e6fcf2df001dcbb0ba67c6d95959b0d6b65b 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/PortalEnroll.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/PortalEnroll.java
@@ -83,14 +83,14 @@ public class PortalEnroll extends DirBasedAuthentication {
 
     // contains all nested superiors' required attrs in the form of a
     //	vector of "required" attributes in Enumeration
-    Vector mRequiredAttrs = null;
+    Vector<Enumeration<String>> mRequiredAttrs = null;
 
     // contains all nested superiors' optional attrs in the form of a
     //	vector of "optional" attributes in Enumeration
-    Vector mOptionalAttrs = null;
+    Vector<Enumeration<String>> mOptionalAttrs = null;
 
     // contains all the objclasses, including superiors and itself
-    Vector mObjClasses = null;
+    Vector<String> mObjClasses = null;
 
     /* Holds configuration parameters accepted by this implementation.
      * This list is passed to the configuration console so configuration
@@ -324,15 +324,15 @@ public class PortalEnroll extends DirBasedAuthentication {
         String dn = "uid=" + uid + "," + mBaseDN;
 
         /* Specify the attributes of the entry */
-        Vector objectclass_values = null;
+        Vector<String> objectclass_values = null;
 
         LDAPAttributeSet attrs = new LDAPAttributeSet();
         LDAPAttribute attr = new LDAPAttribute("objectclass");
 
         // initialized to new
-        mRequiredAttrs = new Vector();
-        mOptionalAttrs = new Vector();
-        mObjClasses = new Vector();
+        mRequiredAttrs = new Vector<Enumeration<String>>();
+        mOptionalAttrs = new Vector<Enumeration<String>>();
+        mObjClasses = new Vector<String>();
 
         LDAPSchema dirSchema = null;
 
@@ -431,6 +431,7 @@ public class PortalEnroll extends DirBasedAuthentication {
      *  should build up
      *  mRequiredAttrs, mOptionalAttrs, and mObjClasses when returned
      */
+    @SuppressWarnings("unchecked")
     public void initLdapAttrs(LDAPSchema dirSchema, String oclass) {
         CMS.debug("PortalEnroll: in initLdapAttrsAttrs");
         mObjClasses.addElement(oclass);
diff --git a/pki/base/common/src/com/netscape/cms/authentication/RDNPattern.java b/pki/base/common/src/com/netscape/cms/authentication/RDNPattern.java
index 02a8f14382a2bc70cc0530e70e0dda0818b2c3db..722aefbc3abc5f82fde3b7d39839f262357ea54a 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/RDNPattern.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/RDNPattern.java
@@ -158,7 +158,7 @@ class RDNPattern {
     private void parse(PushbackReader in)
             throws EAuthException {
         //System.out.println("_________ begin rdn _________");
-        Vector avaPatterns = new Vector();
+        Vector<AVAPattern> avaPatterns = new Vector<AVAPattern>();
         AVAPattern avaPattern = null;
         int lastChar;
 
@@ -188,7 +188,7 @@ class RDNPattern {
         mAVAPatterns = new AVAPattern[avaPatterns.size()];
         avaPatterns.copyInto(mAVAPatterns);
 
-        Vector ldapAttrs = new Vector();
+        Vector<String> ldapAttrs = new Vector<String>();
 
         for (int i = 0; i < mAVAPatterns.length; i++) {
             String avaAttr = mAVAPatterns[i].getLdapAttr();
diff --git a/pki/base/common/src/com/netscape/cms/authorization/AAclAuthz.java b/pki/base/common/src/com/netscape/cms/authorization/AAclAuthz.java
index 73995e6cd46eb74e75e41ddcc0c8d31c589d43fb..570fe3a888c7b8f1839c41e95cfc703bfda41d10 100644
--- a/pki/base/common/src/com/netscape/cms/authorization/AAclAuthz.java
+++ b/pki/base/common/src/com/netscape/cms/authorization/AAclAuthz.java
@@ -656,7 +656,6 @@ public abstract class AAclAuthz {
     }
 
     public Vector<String> getNodes(String resourceID) {
-        Enumeration<String> parents = getTargetNames();
         Vector<String> v = new Vector<String>();
 
         if (resourceID != null && !resourceID.equals("")) {
diff --git a/pki/base/common/src/com/netscape/cms/jobs/PublishCertsJob.java b/pki/base/common/src/com/netscape/cms/jobs/PublishCertsJob.java
index 2289d7255db50aae41e913af124b3b006ee6193a..28268dfabc2eb05fdbb44b56d0b8e5743acb92bf 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/PublishCertsJob.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/PublishCertsJob.java
@@ -21,7 +21,6 @@ import java.text.DateFormat;
 import java.util.Date;
 import java.util.Enumeration;
 import java.util.Locale;
-import java.util.Vector;
 
 import netscape.security.x509.X509CertImpl;
 
@@ -86,12 +85,6 @@ public class PublishCertsJob extends AJobBase
                     "summary.recipientEmail"
         };
 
-    /* Vector of extendedPluginInfo strings */
-    protected static Vector mExtendedPluginInfo = null;
-    static {
-        mExtendedPluginInfo = new Vector();
-    };
-
     public String[] getExtendedPluginInfo(Locale locale) {
         String s[] = {
                 IExtendedPluginInfo.HELP_TEXT +
@@ -217,7 +210,6 @@ public class PublishCertsJob extends AJobBase
             if (rec == null)
                 break;
             X509CertImpl cert = rec.getCertificate();
-            Date notBefore = cert.getNotBefore();
             Date notAfter = cert.getNotAfter();
 
             // skip CA certs
diff --git a/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java b/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
index 5a14c6278fd2feef2f1b888d09c667c6a8fbde3d..5ca581445bd7bac754ef21c723acf0329338d985 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
@@ -23,7 +23,6 @@ import java.util.Date;
 import java.util.Enumeration;
 import java.util.Locale;
 import java.util.StringTokenizer;
-import java.util.Vector;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
@@ -195,13 +194,6 @@ public class RenewalNotificationJob
     private int mMaxNotifyCount = 1;
     private String[] mProfileId = null;
 
-    /* Vector of extendedPluginInfo strings */
-    protected static Vector mExtendedPluginInfo = null;
-
-    static {
-        mExtendedPluginInfo = new Vector();
-    };
-
     /**
      * class constructor
      */
diff --git a/pki/base/common/src/com/netscape/cms/jobs/RequestInQueueJob.java b/pki/base/common/src/com/netscape/cms/jobs/RequestInQueueJob.java
index 775845ca7552186666f6d03f9ab3af01855e8235..b04461941700a02dd6931432f6cac778b057bd03 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/RequestInQueueJob.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/RequestInQueueJob.java
@@ -33,7 +33,6 @@ import com.netscape.certsrv.jobs.IJobsScheduler;
 import com.netscape.certsrv.notification.IEmailFormProcessor;
 import com.netscape.certsrv.request.IRequestList;
 import com.netscape.certsrv.request.IRequestQueue;
-import com.netscape.certsrv.request.RequestId;
 import com.netscape.certsrv.request.RequestStatus;
 
 /**
@@ -171,7 +170,7 @@ public class RequestInQueueJob extends AJobBase
                 mReqQ.listRequestsByStatus(RequestStatus.PENDING);
 
         while (list != null && list.hasMoreElements()) {
-            RequestId rid = list.nextRequestId();
+            list.nextRequestId();
 
             /*  This is way too slow
              // get request from request id
diff --git a/pki/base/common/src/com/netscape/cms/jobs/UnpublishExpiredJob.java b/pki/base/common/src/com/netscape/cms/jobs/UnpublishExpiredJob.java
index 63cae7f30713db50f2cc72316b058ca0d8892059..2f4a6ad75cd9e312f75bce2aff425378e01adf07 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/UnpublishExpiredJob.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/UnpublishExpiredJob.java
@@ -22,7 +22,6 @@ import java.text.DateFormat;
 import java.util.Date;
 import java.util.Enumeration;
 import java.util.Locale;
-import java.util.Vector;
 
 import netscape.security.x509.X509CertImpl;
 
@@ -87,12 +86,6 @@ public class UnpublishExpiredJob extends AJobBase
                     "summary.recipientEmail"
         };
 
-    /* Vector of extendedPluginInfo strings */
-    protected static Vector mExtendedPluginInfo = null;
-    static {
-        mExtendedPluginInfo = new Vector();
-    };
-
     public String[] getExtendedPluginInfo(Locale locale) {
         String s[] = {
                 IExtendedPluginInfo.HELP_TEXT +
